## sahara-dashboard 9.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-saharaclient>=2.0.0 # Apache-2.0
pytz>=2013.6 # MIT

horizon>=14.0.0.0b3 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (9.0.1-1) unstable; urgency=medium

  * New upstream version
  * Redesign sahara-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 21:35:20 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-coverage,
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (<< 2:2),
 python3-hacking,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock,
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-saharaclient (>= 2.0.0),
 python3-selenium,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz,
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-designateclient (>= 2.7.0),
 python3-django (<< 2:2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.0.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-sahara-dashboard,
Replaces:
 python-sahara-dashboard,
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/sahara_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/sahara_dashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/sahara_dashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3 -m coverage run \
		$(CURDIR)/manage.py test sahara_dashboard/test --settings=sahara_dashboard.test.settings --exclude-tag integration
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## sahara-dashboard 10.0.0~b1~git2018112016.dfe8a7d

=== debian/changelog ===
sahara-dashboard (10.0.0~b1~git2018112016.dfe8a7d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:40:30 -0500

sahara-dashboard (9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch to using integration flag when running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:37:57 -0400

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~b3~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~b3~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose-exclude (>= 0.5.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx (>= 4.7.0),
 python3-reno (>= 2.5.0),
 python3-saharaclient (>= 2.0.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~b3~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0~b3~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.0.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Python 3 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack Python 3 dashboard plugin.

## sahara-dashboard 10.0.0~b2~git2019013120.07823ed

=== debian/changelog ===
sahara-dashboard (10.0.0~b2~git2019013120.07823ed-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:58:44 -0500

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,14 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~b3~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-designateclient (>= 2.7.0),
  python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~b3~),
+ python3-django-horizon (>= 3:14.0.0),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
@@ -62,12 +62,12 @@
 Package: python3-sahara-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~b3~),
+ openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-designateclient (>= 2.7.0),
  python3-django (>= 1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0~b3~),
+ python3-django-horizon (>= 3:14.0.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.15.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test sahara_dashboard --settings=sahara_dashboard.test.settings --exclude-tag integration
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the sahara_dashboard plugin in Horizon - Python 3
	# sahara_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/sahara_dashboard/enabled/_18* $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

## sahara-dashboard 10.0.0~b2~git2019031321.6596185

=== debian/changelog ===
sahara-dashboard (10.0.0~b2~git2019031321.6596185-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 21:30:54 -0400

## sahara-dashboard 10.0.0~rc1

=== debian/changelog ===
sahara-dashboard (10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 10.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:37:43 -0400

## sahara-dashboard 10.0.0

=== debian/changelog ===
sahara-dashboard (10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:36:29 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslosphinx (>= 4.7.0),
  python3-reno (>= 2.5.0),
- python3-saharaclient (>= 2.0.0),
+ python3-saharaclient (>= 2.2.0),
  python3-selenium (>= 2.50.1),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
@@ -77,7 +77,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-pbr (>= 2.0.0),
- python3-saharaclient (>= 2.0.0),
+ python3-saharaclient (>= 2.2.0),
  python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},

## sahara-dashboard 11.0.0~b2~git2019073113.30196d1

=== debian/changelog ===
sahara-dashboard (11.0.0~b2~git2019073113.30196d1-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 13:45:46 +0200

sahara-dashboard (11.0.0~b1~git2019061916.21a61b5-0ubuntu1) eoan; urgency=medium

  * New upstream release 11.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:24:16 +0100

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-designateclient (>= 2.7.0),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
@@ -37,7 +37,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-nose-exclude (>= 0.5.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslosphinx (>= 4.7.0),
@@ -65,9 +65,9 @@
  openstack-dashboard (>= 3:14.0.0),
  python3-babel (>= 2.3.4),
  python3-designateclient (>= 2.7.0),
- python3-django (>= 1.11),
+ python3-django (>= 1:1.11),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:14.0.0),
+ python3-django-horizon (>= 3:14.0.0~),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.15.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/sahara-dashboard sahara-dashboard-(10\.\d.*)\.tar\.gz

## sahara-dashboard 11.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 python-manilaclient>=1.16.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
-python-saharaclient>=2.0.0 # Apache-2.0
+python-saharaclient>=2.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 
 horizon>=14.0.0.0b3 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Scope to 11.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 08:56:30 -0400

sahara-dashboard (11.0.0~b2~git2019073113.30196d1-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.
  * d/p/skip-django224-tests.patch: Temporarily skip tests that fail with
    python3-django 2:2.2.4. This can be dropped once python3-django 2:2.2.4
    is removed from eoan-proposed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:21:32 -0400

sahara-dashboard (11.0.0~b2~git2019073113.30196d1-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:47:01 -0400

## sahara-dashboard 11.0.0

=== debian/changelog ===
sahara-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:17:00 +0200

sahara-dashboard (11.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 09:11:13 +0200

sahara-dashboard (10.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:12:24 +0200

sahara-dashboard (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:45:07 +0200

sahara-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed min version of saharaclient.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 23:34:56 +0200

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-coverage,
 python3-ddt,
 python3-designateclient,
 python3-django,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-mock,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-saharaclient (>= 2.2.0),
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-designateclient,
 python3-django,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-manilaclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-pbr,
 python3-saharaclient (>= 2.2.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-sahara-dashboard,
Replaces:
 python-sahara-dashboard,
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/sahara_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3 -m coverage run \
		$(CURDIR)/manage.py test sahara_dashboard/test --settings=sahara_dashboard.test.settings --exclude-tag integration
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## sahara-dashboard 12.0.0~b2~git2020021015.2525137

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,11 @@
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0
-python-keystoneclient>=3.15.0 # Apache-2.0
+python-keystoneclient>=3.22.0 # Apache-2.0
 python-manilaclient>=1.16.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-saharaclient>=2.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
 
-horizon>=14.0.0.0b3 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (12.0.0~b2~git2020021015.2525137-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 16:16:20 +0100

sahara-dashboard (12.0.0~b1~git2019121815.aa2bdc6-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Dec 2019 15:04:52 -0500

sahara-dashboard (11.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:44:06 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1:1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:17.0.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose-exclude (>= 0.5.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx (>= 4.7.0),
 python3-reno (>= 2.5.0),
 python3-saharaclient (>= 2.2.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.0.0~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 1:1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:17.0.0~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.2.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Python 3 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack Python 3 dashboard plugin.

## sahara-dashboard 12.0.0~b3~git2020032714.2525137

=== debian/changelog ===
sahara-dashboard (12.0.0~b3~git2020032714.2525137-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/python3-sahara-dashboard.postinst: Align chown command with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 14:30:11 -0400

sahara-dashboard (12.0.0~b2~git2020021015.2525137-0ubuntu2) focal; urgency=medium

  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:21:25 -0500

## sahara-dashboard 12.0.0~b3~git2020041315.b4f7dcd

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (12.0.0~b3~git2020041315.b4f7dcd-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 15:39:11 -0400

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-designateclient (>= 2.7.0),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.4.4),
  python3-hacking (>= 0.12.0),
  python3-iso8601 (>= 0.1.11),
@@ -59,12 +59,12 @@
 Package: python3-sahara-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
  python3-designateclient (>= 2.7.0),
- python3-django (>= 1:1.11),
+ python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:17.0.0~),
+ python3-django-horizon (>= 3:18.0.0),
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.22.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/sahara-dashboard sahara-dashboard-(11\.\d.*)\.tar\.gz

## sahara-dashboard 12.0.0

=== debian/changelog ===
sahara-dashboard (12.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:19 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard sahara-dashboard-(12\.\d.*)\.tar\.gz

## sahara-dashboard 13.0.0~b1~git2020070113.0a891cf

=== debian/changelog ===
sahara-dashboard (13.0.0~b1~git2020070113.0a891cf-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 01 Jul 2020 13:59:57 +0000

sahara-dashboard (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * d/p/skip-django224-tests.patch: Dropped. No longer needed.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:19 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  openstack-dashboard (>= 3:18.0.0),
  python3-babel (>= 2.3.4),
@@ -23,9 +23,9 @@
  python3-django-compressor (>= 2.0),
  python3-django-horizon (>= 3:18.0.0),
  python3-django-nose (>= 1.4.4),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.8.0),
  python3-keystoneclient (>= 1:3.22.0),
  python3-manilaclient (>= 1.16.0),
  python3-mock (>= 2.0.0),
@@ -34,11 +34,11 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-nose-exclude (>= 0.5.0),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslosphinx (>= 4.7.0),
- python3-reno (>= 2.5.0),
+ python3-reno (>= 2.11.2),
  python3-saharaclient (>= 2.2.0),
  python3-selenium (>= 2.50.1),
  python3-subunit (>= 1.0.0),
@@ -50,7 +50,7 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-dashboard
 Homepage: https://github.com/stackforge/sahara-dashboard
@@ -64,9 +64,9 @@
  python3-designateclient (>= 2.7.0),
  python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),
- python3-django-horizon (>= 3:18.0.0),
+ python3-django-horizon (>= 3:17.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.8.0),
  python3-keystoneclient (>= 1:3.22.0),
  python3-manilaclient (>= 1.16.0),
  python3-neutronclient (>= 1:6.7.0),

## sahara-dashboard 13.0.0~b3~git2020091408.3fc494d

=== debian/changelog ===
sahara-dashboard (13.0.0~b3~git2020091408.3fc494d-0ubuntu2) groovy; urgency=medium

  * d/control: Pin python3-pytest to the version in Groovy.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 17 Sep 2020 08:03:01 +0000

sahara-dashboard (13.0.0~b3~git2020091408.3fc494d-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:49:24 +0000

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslosphinx (>= 4.7.0),
+ python3-pytest (>= 4.6.9),
  python3-reno (>= 2.11.2),
  python3-saharaclient (>= 2.2.0),
  python3-selenium (>= 2.50.1),

## sahara-dashboard 13.0.0~rc1

=== debian/changelog ===
sahara-dashboard (13.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 13.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:26:58 -0400

## sahara-dashboard 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=3.8.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 python-designateclient>=2.7.0 # Apache-2.0

=== debian/changelog ===
sahara-dashboard (13.0.0-3) unstable; urgency=medium

  * Fix wrong version of python3-django-horizon break.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Jul 2021 09:50:24 +0200

sahara-dashboard (13.0.0-2) unstable; urgency=medium

  * Remove Breaks+Replaces: python-sahara-dashboard (as it's not in Stable).
  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:12:48 +0200

sahara-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:00:12 +0200

sahara-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 08:51:58 +0200

sahara-dashboard (12.0.0-1) unstable; urgency=medium

  * Fixed Homepage URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:15:12 +0200

sahara-dashboard (12.0.0~rc2-2) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 21:29:40 +0200

sahara-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * Move the package to horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 13:31:16 +0200

sahara-dashboard (11.0.0-2) unstable; urgency=medium

  * d/watch: Fix watch file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 13 Mar 2020 15:46:48 +0100

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-ddt,
 python3-designateclient,
 python3-django,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient,
 python3-netifaces,
 python3-neutronclient,
 python3-novaclient,
 python3-pytest,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-saharaclient (>= 2.2.0),
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-unittest2,
 python3-xvfbwrapper,
 subunit,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/sahara-dashboard
Homepage: https://opendev.org/openstack/sahara-dashboard

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-designateclient,
 python3-django,
 python3-keystoneauth1,
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-pbr,
 python3-saharaclient (>= 2.2.0),
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: OpenStack data processing cluster as a service - dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack dashboard plugin.

## sahara-dashboard 13.0.0+git2020121016.1e67bcb

=== debian/changelog ===
sahara-dashboard (13.0.0+git2020121016.1e67bcb-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:03:42 -0500

sahara-dashboard (13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:51:05 -0400

## sahara-dashboard 13.0.0+git2021012814.98bf558

=== debian/changelog ===
sahara-dashboard (13.0.0+git2021012814.98bf558-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:23:30 -0500

=== debian/control ===
Source: sahara-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose-exclude (>= 0.5.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslosphinx (>= 4.7.0),
 python3-pytest (>= 4.6.9),
 python3-reno (>= 2.11.2),
 python3-saharaclient (>= 2.2.0),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-unittest2,
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-dashboard
Homepage: https://github.com/stackforge/sahara-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-sahara-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.8.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-manilaclient (>= 1.16.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-pbr (>= 2.0.0),
 python3-saharaclient (>= 2.2.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Python 3 dashboard plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the OpenStack Python 3 dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sahara-dashboard

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=saharadashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test sahara_dashboard --settings=sahara_dashboard.test.settings --exclude-tag integration
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the sahara_dashboard plugin in Horizon - Python 3
	# sahara_dashboard/enabled/_*
	mkdir -p $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/sahara_dashboard/enabled/_18* $(CURDIR)/debian/python3-sahara-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard sahara-dashboard-(13\.\d.*)\.tar\.gz

## sahara-dashboard 14.0.0~rc1

=== debian/changelog ===
sahara-dashboard (14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 24 Mar 2021 14:20:15 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard/ sahara-dashboard-(14\.\d.*)\.tar\.gz

## sahara-dashboard 14.0.0

=== debian/changelog ===
sahara-dashboard (14.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 17:10:31 +0000

sahara-dashboard (14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:50:16 +0000

## sahara-dashboard 15.0.0

=== debian/changelog ===
sahara-dashboard (15.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 17:43:35 +0000

sahara-dashboard (15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 12:45:34 -0400

## sahara-dashboard 15.0.0+git2021120912.aa9be40

=== debian/changelog ===
sahara-dashboard (15.0.0+git2021120912.aa9be40-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:29:43 -0500

## sahara-dashboard 15.0.0+git2022011309.da7235b

=== debian/changelog ===
sahara-dashboard (15.0.0+git2022011309.da7235b-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:09:51 -0500

sahara-dashboard (15.0.0+git2022011309.da7235b-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:42:34 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard/ sahara-dashboard-(15\.\d.*)\.tar\.gz

## sahara-dashboard 16.0.0

=== debian/changelog ===
sahara-dashboard (16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:46:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 
+include /usr/share/openstack-pkg-tools/pkgos.make
+
+SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
+
 export PYBUILD_NAME=sahara-dashboard
-
-include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-dashboard/ sahara-dashboard-(16\.\d.*)\.tar\.gz

## sahara-dashboard 16.0.0+git2022060610.da7235b

=== debian/changelog ===
sahara-dashboard (16.0.0+git2022060610.da7235b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:36:54 -0400

=== debian/control ===
--- 
+++ 
@@ -51,10 +51,9 @@
  python3-xvfbwrapper (>= 0.1.3),
  subunit,
  testrepository,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-dashboard
-Homepage: https://github.com/stackforge/sahara-dashboard
+Homepage: https://opendev.org/openstack/sahara-dashboard
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-sahara-dashboard

## sahara-dashboard 16.0.0+git2022091215.0c57fd7

=== debian/changelog ===
sahara-dashboard (16.0.0+git2022091215.0c57fd7-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/replace-removed-features.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:05:49 -0400

sahara-dashboard (16.0.0+git2022071816.da7235b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/replace-removed-features.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:19:50 -0400
